<?php

namespace App\Generated\V1_1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class AddScoreBySuperVipMessage extends Message
{
    use ValueHelper;

    protected $pairId;
    protected $couponId;
    protected $result;

    /**
     * 报名ID
     * @return int
     */
    public function getPairId()
    {
        return $this->pairId;
    }

    /**
     * 卡券ID
     * @return int
     */
    public function getCouponId()
    {
        return $this->couponId;
    }

    public function requestRules()
    {
        return [
            ['pairId', 'pair_id', 'bail|integer', Constants::INTEGER, null],
            ['couponId', 'coupon_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
